# Consumer session balancing

{% hint style="warning" %}
Consumer session balancing has been deprecated and will be removed in VerneMQ 2.0. Use [Shared Subscriptions](https://github.com/vernemq/vmq-docs/blob/2.0.0/configuration/shared_subscriptions/README.md) instead.
{% endhint %}

Sometimes consumers get overwhelmed by the number of messages they receive. VerneMQ can load balance between multiple consumer instances subscribed to the same topic with the same ClientId.

## Enabling Session Balancing

To enable session balancing, activate the following two settings in vernemq.conf

```
 allow_multiple_sessions = on
 queue_deliver_mode = balance
```

{% hint style="info" %}
Currently those settings will activate consumer session balancing globally on the respective node. Restricting balancing to specific consumers only, will require a plugin. Note that you cannot balance consumers spread over different cluster nodes.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vernemq.com/configuring-vernemq/balancing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
